Support » Plugin: WooCommerce Beta Tester » plugins_api filter destroys update data for 3rd party pluginsd

  • Hi,

    In WC_Beta_Tester->get_plugin_info() which is hooked to ‘plugins_api’, the initial check returns false if the request is not for WooCommerce:

    
    // Check if this call API is for the right plugin
    if ( ! isset( $response->slug ) || $response->slug != $this->config['slug'] ) {
        return false;
    }
    

    This breaks 3rd party code hooked onto the same ‘plugins_api’ filter which has already fetched valid data. Could you change this to return the filtered data? So in this case it would be:

    
    // Check if this call API is for the right plugin
    if ( ! isset( $response->slug ) || $response->slug != $this->config['slug'] ) {
        return $false;
    }
    

    Thanks!

  • The topic ‘plugins_api filter destroys update data for 3rd party pluginsd’ is closed to new replies.